OpenapiO11y
Creates a notification channel, answering with the stored channel.
Creates a notification channel, answering with the stored channel.
POST /v1/o11y/channels
| Address | https://api.hanzo.ai/v1/o11y/channels |
| Method | POST |
| Operation | CreateChannel |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Creates a notification channel, answering with the stored channel. Admin gate.
Request
1698 fields, body application/json (required).
| Field | In | Type | Required | Description |
|---|---|---|---|---|
Receiver | body | o11y.Receiver | — | |
Receiver.discord_configs | body | o11y.DiscordConfig[] | — | |
Receiver.discord_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.discord_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.discord_configs[].avatar_url | body | string | — | |
Receiver.discord_configs[].content | body | string | — | |
Receiver.discord_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.discord_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.discord_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.discord_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.discord_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.discord_configs[].http_config.authorization.type | body | string | — | |
Receiver.discord_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.discord_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.discord_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.discord_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.discord_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.discord_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.discord_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.discord_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.discord_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.discord_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.discord_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.discord_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.discord_configs[].http_config.no_proxy | body | string | — | |
Receiver.discord_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.discord_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.discord_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.discord_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.discord_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.discord_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.discord_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.discord_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.discord_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.discord_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.discord_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.discord_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.discord_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.discord_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.discord_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.discord_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.discord_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.discord_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.discord_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.discord_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.discord_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.discord_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.discord_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.discord_configs[].http_config.proxy_url | body | any | — | |
Receiver.discord_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.discord_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.discord_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.discord_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.discord_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.discord_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.discord_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.discord_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.discord_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.discord_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.discord_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.discord_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.discord_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.discord_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.discord_configs[].message | body | string | — | |
Receiver.discord_configs[].title | body | string | — | |
Receiver.discord_configs[].username | body | string | — | |
Receiver.discord_configs[].webhook_url | body | any | — | |
Receiver.discord_configs[].webhook_url_file | body | string | — | |
Receiver.email_configs | body | o11y.EmailConfig[] | — | |
Receiver.email_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.email_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.email_configs[].auth_identity | body | string | — | |
Receiver.email_configs[].auth_password | body | any | — | |
Receiver.email_configs[].auth_password_file | body | string | — | |
Receiver.email_configs[].auth_secret | body | any | — | |
Receiver.email_configs[].auth_secret_file | body | string | — | |
Receiver.email_configs[].auth_username | body | string | — | |
Receiver.email_configs[].force_implicit_tls | body | boolean | — | ForceImplicitTLS controls whether to use implicit TLS (direct TLS connection). |
Receiver.email_configs[].from | body | string | — | |
Receiver.email_configs[].headers | body | object | — | |
Receiver.email_configs[].headers.* | body | string | — | |
Receiver.email_configs[].hello | body | string | — | |
Receiver.email_configs[].html | body | string | — | |
Receiver.email_configs[].require_tls | body | boolean | — | |
Receiver.email_configs[].smarthost | body | any | — | |
Receiver.email_configs[].text | body | string | — | |
Receiver.email_configs[].threading | body | o11y.ThreadingConfig | — | |
Receiver.email_configs[].threading.enabled | body | boolean | — | |
Receiver.email_configs[].threading.thread_by_date | body | string | — | |
Receiver.email_configs[].tls_config | body | o11y.TLSConfig | — | |
Receiver.email_configs[].tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.email_configs[].tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.email_configs[].tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.email_configs[].tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.email_configs[].tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.email_configs[].tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.email_configs[].tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.email_configs[].tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.email_configs[].tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.email_configs[].tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.email_configs[].tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.email_configs[].tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.email_configs[].tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.email_configs[].to | body | string | — | Email address to notify. |
Receiver.incidentio_configs | body | o11y.IncidentioConfig[] | — | |
Receiver.incidentio_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.incidentio_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.incidentio_configs[].alert_source_token | body | any | — | AlertSourceToken is the key used to authenticate with the alert source in incident.io. |
Receiver.incidentio_configs[].alert_source_token_file | body | string | — | |
Receiver.incidentio_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.incidentio_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.incidentio_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.incidentio_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.incidentio_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.incidentio_configs[].http_config.authorization.type | body | string | — | |
Receiver.incidentio_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.incidentio_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.incidentio_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.incidentio_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.incidentio_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.incidentio_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.incidentio_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.incidentio_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.incidentio_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.incidentio_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.incidentio_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.incidentio_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.incidentio_configs[].http_config.no_proxy | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.incidentio_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.incidentio_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.incidentio_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.incidentio_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.incidentio_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.incidentio_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.incidentio_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.incidentio_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.incidentio_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.incidentio_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.incidentio_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.incidentio_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.incidentio_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.incidentio_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.incidentio_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.incidentio_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.incidentio_configs[].http_config.proxy_url | body | any | — | |
Receiver.incidentio_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.incidentio_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.incidentio_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.incidentio_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.incidentio_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.incidentio_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.incidentio_configs[].max_alerts | body | integer | — | MaxAlerts is the maximum number of alerts to be sent per incident.io message. Alerts exceeding this threshold will be truncated. |
Receiver.incidentio_configs[].timeout | body | integer | — | Timeout is the maximum time allowed to invoke incident.io. |
Receiver.incidentio_configs[].url | body | any | — | URL to send POST request to. |
Receiver.incidentio_configs[].url_file | body | string | — | |
Receiver.jira_configs | body | o11y.JiraConfig[] | — | |
Receiver.jira_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.jira_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.jira_configs[].api_type | body | string | — | |
Receiver.jira_configs[].api_url | body | any | — | |
Receiver.jira_configs[].custom_fields | body | object | — | |
Receiver.jira_configs[].custom_fields.* | body | object | — | |
Receiver.jira_configs[].description | body | o11y.JiraFieldConfig | — | |
Receiver.jira_configs[].description.enable_update | body | boolean | — | EnableUpdate indicates whether this field should be omitted when updating an existing issue. |
Receiver.jira_configs[].description.template | body | string | — | Template is the template string used to render the field. |
Receiver.jira_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.jira_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.jira_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.jira_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.jira_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.jira_configs[].http_config.authorization.type | body | string | — | |
Receiver.jira_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.jira_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.jira_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.jira_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.jira_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.jira_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.jira_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.jira_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.jira_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.jira_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.jira_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.jira_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.jira_configs[].http_config.no_proxy | body | string | — | |
Receiver.jira_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.jira_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.jira_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.jira_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.jira_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.jira_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.jira_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.jira_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.jira_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.jira_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.jira_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.jira_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.jira_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.jira_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.jira_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.jira_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.jira_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.jira_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.jira_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.jira_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.jira_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.jira_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.jira_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.jira_configs[].http_config.proxy_url | body | any | — | |
Receiver.jira_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.jira_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.jira_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.jira_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.jira_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.jira_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.jira_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.jira_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.jira_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.jira_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.jira_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.jira_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.jira_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.jira_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.jira_configs[].issue_type | body | string | — | |
Receiver.jira_configs[].labels | body | string[] | — | |
Receiver.jira_configs[].priority | body | string | — | |
Receiver.jira_configs[].project | body | string | — | |
Receiver.jira_configs[].reopen_duration | body | any | — | |
Receiver.jira_configs[].reopen_transition | body | string | — | |
Receiver.jira_configs[].resolve_transition | body | string | — | |
Receiver.jira_configs[].summary | body | o11y.JiraFieldConfig | — | |
Receiver.jira_configs[].summary.enable_update | body | boolean | — | EnableUpdate indicates whether this field should be omitted when updating an existing issue. |
Receiver.jira_configs[].summary.template | body | string | — | Template is the template string used to render the field. |
Receiver.jira_configs[].wont_fix_resolution | body | string | — | |
Receiver.mattermost_configs | body | o11y.MattermostConfig[] | — | |
Receiver.mattermost_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.mattermost_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.mattermost_configs[].attachments | body | o11y.MattermostAttachment[] | — | |
Receiver.mattermost_configs[].attachments[].author_icon | body | string | — | |
Receiver.mattermost_configs[].attachments[].author_link | body | string | — | |
Receiver.mattermost_configs[].attachments[].author_name | body | string | — | |
Receiver.mattermost_configs[].attachments[].color | body | string | — | |
Receiver.mattermost_configs[].attachments[].fallback | body | string | — | |
Receiver.mattermost_configs[].attachments[].fields | body | o11y.MattermostField[] | — | |
Receiver.mattermost_configs[].attachments[].fields[].short | body | boolean | — | |
Receiver.mattermost_configs[].attachments[].fields[].title | body | string | — | |
Receiver.mattermost_configs[].attachments[].fields[].value | body | string | — | |
Receiver.mattermost_configs[].attachments[].footer | body | string | — | |
Receiver.mattermost_configs[].attachments[].footer_icon | body | string | — | |
Receiver.mattermost_configs[].attachments[].image_url | body | string | — | |
Receiver.mattermost_configs[].attachments[].pretext | body | string | — | |
Receiver.mattermost_configs[].attachments[].text | body | string | — | |
Receiver.mattermost_configs[].attachments[].thumb_url | body | string | — | |
Receiver.mattermost_configs[].attachments[].title | body | string | — | |
Receiver.mattermost_configs[].attachments[].title_link | body | string | — | |
Receiver.mattermost_configs[].channel | body | string | — | |
Receiver.mattermost_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.mattermost_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.mattermost_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.mattermost_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.mattermost_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.mattermost_configs[].http_config.authorization.type | body | string | — | |
Receiver.mattermost_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.mattermost_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.mattermost_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.mattermost_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.mattermost_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.mattermost_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.mattermost_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.mattermost_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.mattermost_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.mattermost_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.mattermost_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.mattermost_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.mattermost_configs[].http_config.no_proxy | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.mattermost_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.mattermost_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.mattermost_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.mattermost_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.mattermost_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.mattermost_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.mattermost_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.mattermost_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.mattermost_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.mattermost_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.mattermost_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.mattermost_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.mattermost_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.mattermost_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.mattermost_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.mattermost_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.mattermost_configs[].http_config.proxy_url | body | any | — | |
Receiver.mattermost_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.mattermost_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.mattermost_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.mattermost_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.mattermost_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.mattermost_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.mattermost_configs[].icon_emoji | body | string | — | |
Receiver.mattermost_configs[].icon_url | body | string | — | |
Receiver.mattermost_configs[].priority | body | o11y.MattermostPriority | — | |
Receiver.mattermost_configs[].priority.persistent_notifications | body | boolean | — | |
Receiver.mattermost_configs[].priority.priority | body | string | — | |
Receiver.mattermost_configs[].priority.requested_ack | body | boolean | — | |
Receiver.mattermost_configs[].props | body | o11y.MattermostProps | — | |
Receiver.mattermost_configs[].props.card | body | string | — | |
Receiver.mattermost_configs[].text | body | string | — | |
Receiver.mattermost_configs[].type | body | string | — | |
Receiver.mattermost_configs[].username | body | string | — | |
Receiver.mattermost_configs[].webhook_url | body | any | — | |
Receiver.mattermost_configs[].webhook_url_file | body | string | — | |
Receiver.msteams_configs | body | o11y.MSTeamsConfig[] | — | |
Receiver.msteams_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.msteams_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.msteams_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.msteams_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.msteams_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.msteams_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.msteams_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.msteams_configs[].http_config.authorization.type | body | string | — | |
Receiver.msteams_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.msteams_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.msteams_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.msteams_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.msteams_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.msteams_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.msteams_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.msteams_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.msteams_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.msteams_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.msteams_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.msteams_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.msteams_configs[].http_config.no_proxy | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.msteams_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.msteams_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.msteams_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.msteams_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.msteams_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.msteams_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.msteams_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.msteams_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.msteams_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.msteams_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.msteams_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.msteams_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.msteams_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.msteams_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.msteams_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.msteams_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.msteams_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.msteams_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.msteams_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.msteams_configs[].http_config.proxy_url | body | any | — | |
Receiver.msteams_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.msteams_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.msteams_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.msteams_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.msteams_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.msteams_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.msteams_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.msteams_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.msteams_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.msteams_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.msteams_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.msteams_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.msteams_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.msteams_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.msteams_configs[].summary | body | string | — | |
Receiver.msteams_configs[].text | body | string | — | |
Receiver.msteams_configs[].title | body | string | — | |
Receiver.msteams_configs[].webhook_url | body | any | — | |
Receiver.msteams_configs[].webhook_url_file | body | string | — | |
Receiver.msteamsv2_configs | body | o11y.MSTeamsV2Config[] | — | |
Receiver.msteamsv2_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.msteamsv2_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.msteamsv2_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.msteamsv2_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.msteamsv2_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.msteamsv2_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.msteamsv2_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.msteamsv2_configs[].http_config.authorization.type | body | string | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.msteamsv2_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.msteamsv2_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.msteamsv2_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.msteamsv2_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.msteamsv2_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.msteamsv2_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.msteamsv2_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.msteamsv2_configs[].http_config.no_proxy | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.msteamsv2_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.msteamsv2_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.msteamsv2_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.msteamsv2_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.msteamsv2_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.msteamsv2_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.msteamsv2_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.msteamsv2_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.msteamsv2_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.msteamsv2_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.msteamsv2_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.msteamsv2_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.msteamsv2_configs[].http_config.proxy_url | body | any | — | |
Receiver.msteamsv2_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.msteamsv2_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.msteamsv2_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.msteamsv2_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.msteamsv2_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.msteamsv2_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.msteamsv2_configs[].text | body | string | — | |
Receiver.msteamsv2_configs[].title | body | string | — | |
Receiver.msteamsv2_configs[].webhook_url | body | any | — | |
Receiver.msteamsv2_configs[].webhook_url_file | body | string | — | |
Receiver.name | body | string | — | A unique identifier for this receiver. |
Receiver.opsgenie_configs | body | o11y.OpsGenieConfig[] | — | |
Receiver.opsgenie_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.opsgenie_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.opsgenie_configs[].actions | body | string | — | |
Receiver.opsgenie_configs[].api_key | body | any | — | |
Receiver.opsgenie_configs[].api_key_file | body | string | — | |
Receiver.opsgenie_configs[].api_url | body | any | — | |
Receiver.opsgenie_configs[].description | body | string | — | |
Receiver.opsgenie_configs[].details | body | object | — | |
Receiver.opsgenie_configs[].details.* | body | string | — | |
Receiver.opsgenie_configs[].entity | body | string | — | |
Receiver.opsgenie_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.opsgenie_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.opsgenie_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.opsgenie_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.opsgenie_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.opsgenie_configs[].http_config.authorization.type | body | string | — | |
Receiver.opsgenie_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.opsgenie_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.opsgenie_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.opsgenie_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.opsgenie_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.opsgenie_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.opsgenie_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.opsgenie_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.opsgenie_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.opsgenie_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.opsgenie_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.opsgenie_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.opsgenie_configs[].http_config.no_proxy | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.opsgenie_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.opsgenie_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.opsgenie_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.opsgenie_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.opsgenie_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.opsgenie_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.opsgenie_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.opsgenie_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.opsgenie_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.opsgenie_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.opsgenie_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.opsgenie_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.opsgenie_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.opsgenie_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.opsgenie_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.opsgenie_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.opsgenie_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.opsgenie_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.opsgenie_configs[].http_config.proxy_url | body | any | — | |
Receiver.opsgenie_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.opsgenie_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.opsgenie_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.opsgenie_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.opsgenie_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.opsgenie_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.opsgenie_configs[].message | body | string | — | |
Receiver.opsgenie_configs[].note | body | string | — | |
Receiver.opsgenie_configs[].priority | body | string | — | |
Receiver.opsgenie_configs[].responders | body | o11y.OpsGenieConfigResponder[] | — | |
Receiver.opsgenie_configs[].responders[].id | body | string | — | One of those 3 should be filled. |
Receiver.opsgenie_configs[].responders[].name | body | string | — | |
Receiver.opsgenie_configs[].responders[].type | body | string | — | team, user, escalation, schedule etc. |
Receiver.opsgenie_configs[].responders[].username | body | string | — | |
Receiver.opsgenie_configs[].source | body | string | — | |
Receiver.opsgenie_configs[].tags | body | string | — | |
Receiver.opsgenie_configs[].update_alerts | body | boolean | — | |
Receiver.pagerduty_configs | body | o11y.PagerdutyConfig[] | — | |
Receiver.pagerduty_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.pagerduty_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.pagerduty_configs[].class | body | string | — | |
Receiver.pagerduty_configs[].client | body | string | — | |
Receiver.pagerduty_configs[].client_url | body | string | — | |
Receiver.pagerduty_configs[].component | body | string | — | |
Receiver.pagerduty_configs[].description | body | string | — | |
Receiver.pagerduty_configs[].details | body | object | — | |
Receiver.pagerduty_configs[].details.* | body | object | — | |
Receiver.pagerduty_configs[].group | body | string | — | |
Receiver.pagerduty_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.pagerduty_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.pagerduty_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.pagerduty_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.pagerduty_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.pagerduty_configs[].http_config.authorization.type | body | string | — | |
Receiver.pagerduty_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.pagerduty_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.pagerduty_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.pagerduty_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.pagerduty_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.pagerduty_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.pagerduty_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.pagerduty_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.pagerduty_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.pagerduty_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.pagerduty_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.pagerduty_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.pagerduty_configs[].http_config.no_proxy | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.pagerduty_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.pagerduty_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.pagerduty_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.pagerduty_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.pagerduty_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.pagerduty_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.pagerduty_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.pagerduty_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.pagerduty_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.pagerduty_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.pagerduty_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.pagerduty_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.pagerduty_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.pagerduty_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.pagerduty_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.pagerduty_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.pagerduty_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.pagerduty_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.pagerduty_configs[].http_config.proxy_url | body | any | — | |
Receiver.pagerduty_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.pagerduty_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.pagerduty_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.pagerduty_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.pagerduty_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.pagerduty_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.pagerduty_configs[].images | body | o11y.PagerdutyImage[] | — | |
Receiver.pagerduty_configs[].images[].alt | body | string | — | |
Receiver.pagerduty_configs[].images[].href | body | string | — | |
Receiver.pagerduty_configs[].images[].src | body | string | — | |
Receiver.pagerduty_configs[].links | body | o11y.PagerdutyLink[] | — | |
Receiver.pagerduty_configs[].links[].href | body | string | — | |
Receiver.pagerduty_configs[].links[].text | body | string | — | |
Receiver.pagerduty_configs[].routing_key | body | any | — | |
Receiver.pagerduty_configs[].routing_key_file | body | string | — | |
Receiver.pagerduty_configs[].service_key | body | any | — | |
Receiver.pagerduty_configs[].service_key_file | body | string | — | |
Receiver.pagerduty_configs[].severity | body | string | — | |
Receiver.pagerduty_configs[].source | body | string | — | |
Receiver.pagerduty_configs[].timeout | body | integer | — | Timeout is the maximum time allowed to invoke the pagerduty. |
Receiver.pagerduty_configs[].url | body | any | — | |
Receiver.pushover_configs | body | o11y.PushoverConfig[] | — | |
Receiver.pushover_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.pushover_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.pushover_configs[].device | body | string | — | |
Receiver.pushover_configs[].expire | body | integer | — | |
Receiver.pushover_configs[].html | body | boolean | — | |
Receiver.pushover_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.pushover_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.pushover_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.pushover_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.pushover_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.pushover_configs[].http_config.authorization.type | body | string | — | |
Receiver.pushover_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.pushover_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.pushover_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.pushover_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.pushover_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.pushover_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.pushover_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
Receiver.pushover_configs[].http_config.bearer_token | body | any | — | The bearer token for the targets. |
Receiver.pushover_configs[].http_config.bearer_token_file | body | string | — | The bearer token file for the targets. |
Receiver.pushover_configs[].http_config.enable_http2 | body | boolean | — | EnableHTTP2 specifies whether the client should configure HTTP2. |
Receiver.pushover_configs[].http_config.follow_redirects | body | boolean | — | FollowRedirects specifies whether the client should follow HTTP 3xx redirects. |
Receiver.pushover_configs[].http_config.http_headers | body | any | — | HTTPHeaders specify headers to inject in the requests. |
Receiver.pushover_configs[].http_config.no_proxy | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2 | body | o11y.OAuth2 | — | |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig | body | o11y.TLSConfig | — | |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cert_file | body | string | — | The client cert file for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.key | body | any | — | Text of the client key file for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.key_file | body | string | — | The client key file for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.max_version | body | any | — | Maximum TLS version. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.min_version | body | any | — | Minimum TLS version. |
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.pushover_configs[].http_config.oauth2.audience | body | string | — | Audience optionally specifies the intended audience of the request. If empty, the value of TokenURL is used as the intended audience. |
Receiver.pushover_configs[].http_config.oauth2.claims | body | object | — | Claims is a map of claims to be added to the JWT token. |
Receiver.pushover_configs[].http_config.oauth2.claims.* | body | object | — | |
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key | body | any | — | |
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_file | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_id | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_ref | body | string | — | ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.pushover_configs[].http_config.oauth2.client_id | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.client_secret | body | any | — | |
Receiver.pushover_configs[].http_config.oauth2.client_secret_file | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.client_secret_ref | body | string | — | ClientSecretRef is the name of the secret within the secret manager to use as the client secret. |
Receiver.pushover_configs[].http_config.oauth2.endpoint_params | body | object | — | |
Receiver.pushover_configs[].http_config.oauth2.endpoint_params.* | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.grant_type | body | string | — | GrantType is the OAuth2 grant type to use. It can be one of "client_credentials" or "urn:ietf:params:oauth:grant-type:jwt-bearer" (RFC 7523). |
Receiver.pushover_configs[].http_config.oauth2.iss | body | string | — | Iss is the OAuth client identifier used when communicating with the configured OAuth provider. Default value is client_id. |
Receiver.pushover_configs[].http_config.oauth2.no_proxy | body | string | — | |
Receiver.pushover_configs[].http_config.oauth2.proxy_connect_header | body | object | — | |
Receiver.pushover_configs[].http_config.oauth2.proxy_connect_header.* | body | any[] | — | |
Receiver.pushover_configs[].http_config.oauth2.proxy_from_environment | body | boolean | — | |
Receiver.pushover_configs[].http_config.oauth2.proxy_url | body | any | — | |
Receiver.pushover_configs[].http_config.oauth2.scopes | body | string[] | — | |
Receiver.pushover_configs[].http_config.oauth2.signature_algorithm | body | string | — | SignatureAlgorithm is the RSA algorithm used to sign JWT token. Only used if GrantType is set to "urn:ietf:params:oauth:grant-type:jwt-bearer". |
Receiver.pushover_configs[].http_config.oauth2.token_url | body | string | — | |
Receiver.pushover_configs[].http_config.proxy_connect_header | body | object | — | |
Receiver.pushover_configs[].http_config.proxy_connect_header.* | body | any[] | — | |
Receiver.pushover_configs[].http_config.proxy_from_environment | body | boolean | — | |
Receiver.pushover_configs[].http_config.proxy_url | body | any | — | |
Receiver.pushover_configs[].http_config.tls_config | body | o11y.TLSConfig | — | |
Receiver.pushover_configs[].http_config.tls_config.ca | body | string | — | Text of the CA cert to use for the targets. |
Receiver.pushover_configs[].http_config.tls_config.ca_file | body | string | — | The CA cert to use for the targets. |
Receiver.pushover_configs[].http_config.tls_config.ca_ref | body | string | — | CARef is the name of the secret within the secret manager to use as the CA cert for the targets. |
Receiver.pushover_configs[].http_config.tls_config.cert | body | string | — | Text of the client cert file for the targets. |
Receiver.pushover_configs[].http_config.tls_config.cert_file | body | string | — | The client cert file for the targets. |
Receiver.pushover_configs[].http_config.tls_config.cert_ref | body | string | — | CertRef is the name of the secret within the secret manager to use as the client cert for the targets. |
Receiver.pushover_configs[].http_config.tls_config.insecure_skip_verify | body | boolean | — | Disable target certificate validation. |
Receiver.pushover_configs[].http_config.tls_config.key | body | any | — | Text of the client key file for the targets. |
Receiver.pushover_configs[].http_config.tls_config.key_file | body | string | — | The client key file for the targets. |
Receiver.pushover_configs[].http_config.tls_config.key_ref | body | string | — | KeyRef is the name of the secret within the secret manager to use as the client key for the targets. |
Receiver.pushover_configs[].http_config.tls_config.max_version | body | any | — | Maximum TLS version. |
Receiver.pushover_configs[].http_config.tls_config.min_version | body | any | — | Minimum TLS version. |
Receiver.pushover_configs[].http_config.tls_config.server_name | body | string | — | Used to verify the hostname for the targets. |
Receiver.pushover_configs[].message | body | string | — | |
Receiver.pushover_configs[].monospace | body | boolean | — | |
Receiver.pushover_configs[].priority | body | string | — | |
Receiver.pushover_configs[].retry | body | integer | — | |
Receiver.pushover_configs[].sound | body | string | — | |
Receiver.pushover_configs[].title | body | string | — | |
Receiver.pushover_configs[].token | body | any | — | |
Receiver.pushover_configs[].token_file | body | string | — | |
Receiver.pushover_configs[].ttl | body | integer | — | |
Receiver.pushover_configs[].url | body | string | — | |
Receiver.pushover_configs[].url_title | body | string | — | |
Receiver.pushover_configs[].user_key | body | any | — | |
Receiver.pushover_configs[].user_key_file | body | string | — | |
Receiver.rocketchat_configs | body | o11y.RocketchatConfig[] | — | |
Receiver.rocketchat_configs[].NotifierConfig | body | o11y.NotifierConfig | — | |
Receiver.rocketchat_configs[].NotifierConfig.send_resolved | body | boolean | — | |
Receiver.rocketchat_configs[].actions | body | o11y.RocketchatAttachmentAction[] | — | |
Receiver.rocketchat_configs[].actions[].image_url | body | string | — | |
Receiver.rocketchat_configs[].actions[].is_webview | body | boolean | — | |
Receiver.rocketchat_configs[].actions[].msg | body | string | — | |
Receiver.rocketchat_configs[].actions[].msg_in_chat_window | body | boolean | — | |
Receiver.rocketchat_configs[].actions[].msg_processing_type | body | string | — | |
Receiver.rocketchat_configs[].actions[].text | body | string | — | |
Receiver.rocketchat_configs[].actions[].type | body | string | — | |
Receiver.rocketchat_configs[].actions[].url | body | string | — | |
Receiver.rocketchat_configs[].actions[].webview_height_ratio | body | string | — | |
Receiver.rocketchat_configs[].api_url | body | any | — | |
Receiver.rocketchat_configs[].channel | body | string | — | RocketChat channel override, (like #other-channel or @username). |
Receiver.rocketchat_configs[].color | body | string | — | |
Receiver.rocketchat_configs[].emoji | body | string | — | |
Receiver.rocketchat_configs[].fields | body | o11y.RocketchatAttachmentField[] | — | |
Receiver.rocketchat_configs[].fields[].short | body | boolean | — | |
Receiver.rocketchat_configs[].fields[].title | body | string | — | |
Receiver.rocketchat_configs[].fields[].value | body | string | — | |
Receiver.rocketchat_configs[].http_config | body | o11y.HTTPClientConfig | — | |
Receiver.rocketchat_configs[].http_config.authorization | body | o11y.Authorization | — | |
Receiver.rocketchat_configs[].http_config.authorization.credentials | body | any | — | |
Receiver.rocketchat_configs[].http_config.authorization.credentials_file | body | string | — | |
Receiver.rocketchat_configs[].http_config.authorization.credentials_ref | body | string | — | CredentialsRef is the name of the secret within the secret manager to use as credentials. |
Receiver.rocketchat_configs[].http_config.authorization.type | body | string | — | |
Receiver.rocketchat_configs[].http_config.basic_auth | body | o11y.BasicAuth | — | |
Receiver.rocketchat_configs[].http_config.basic_auth.password | body | any | — | |
Receiver.rocketchat_configs[].http_config.basic_auth.password_file | body | string | — | |
Receiver.rocketchat_configs[].http_config.basic_auth.password_ref | body | string | — | PasswordRef is the name of the secret within the secret manager to use as the password. |
Receiver.rocketchat_configs[].http_config.basic_auth.username | body | string | — | |
Receiver.rocketchat_configs[].http_config.basic_auth.username_file | body | string | — | |
Receiver.rocketchat_configs[].http_config.basic_auth.username_ref | body | string | — | UsernameRef is the name of the secret within the secret manager to use as the username. |
[...]
